> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Retrieve Benefits for EOR Contract

GET https://api.letsdeel.com/rest/eor/{contract_id}/benefits

Returns the worker's EOR benefits enrolment details. For organisations set up as white-label with Deel, the response also includes a short-lived link to redirect the worker, who doesn't use the Deel app, to complete enrolment and manage their benefits. Call this endpoint again for a fresh link after it expires.

 **Token scopes**: `contracts:read`, `benefits:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-benefits/get-eor-benefits-by-contract-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `contract_id` (string, required) — Deel contract ID.

## Response

### 200

Successfully retrieved the list of EOR contract benefits.

- `data` (list of EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `worker_benefits_link` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaWorkerBenefitsLink, optional) — Short-lived link where the worker completes their benefits enrolment and manages their benefits. Only returned for organisations set up as white-label with Deel, whose workers don't use the Deel app. Redirect the worker to it from your app; call this endpoint again for a new link after expires_at. Don't store, email or share it.

## Errors

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The unique ID of the benefit.
- `name` (string, optional) — The name of the benefit.
- `plan` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsPlan, optional)
- `provider` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvider, optional)
- `offer_status` (enum, optional) — Indicates whether the benefit is offered.
  - Allowed values: `Offered`, `Not offered`
- `enrollment_details` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetails, optional)

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaWorkerBenefitsLink

Short-lived link where the worker completes their benefits enrolment and manages their benefits. Only returned for organisations set up as white-label with Deel, whose workers don't use the Deel app. Redirect the worker to it from your app; call this endpoint again for a new link after expires_at. Don't store, email or share it.

- `url` (string, optional) — The short-lived URL to redirect the worker to.
- `expires_at` (string, optional) — The date and time (UTC) after which the link no longer works.

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsPlan

- `name` (string, optional) — The name of the associated plan.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsProvider

- `name` (string, optional) — The name of the benefit provider.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetails

- `plan` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsPlan, optional)
- `status` (string, optional) — The current enrollment status of the benefit (e.g. ENROLLED, AWAITING_ENROLLMENT, AWAITING_CONTRACT_ACTIVATION, AWAITING_CARRIER_CONFIRMATION).
- `standard` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsStandard, optional)
- `current_cycle` (EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsCurrentCycle, optional)

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsPlan

- `name` (string, optional) — The name of the enrolled plan.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsStandard

- `monthly_cost` (string, optional, nullable) — The standard total monthly cost of the benefit.
- `employee_monthly_contribution` (string, optional, nullable) — The standard monthly contribution paid by the employer (client) toward the benefit. Note: despite the field name, this value is the employer contribution, not the employee's.

### EorContractIdBenefitsGetResponsesContentApplicationJsonSchemaDataItemsEnrollmentDetailsCurrentCycle

- `monthly_cost` (string, optional) — The total monthly cost of the current enrollment.
- `employee_monthly_contribution` (string, optional) — The monthly contribution paid by the employer (client) for the current enrollment. Note: despite the field name, this value is the employer contribution, not the employee's.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "483921",
      "name": "Health Insurance",
      "plan": {
        "name": "Gold Plan"
      },
      "provider": {
        "name": "Global Insurance Co."
      },
      "offer_status": "Offered",
      "enrollment_details": {
        "plan": {
          "name": "Gold Plan"
        },
        "status": "ENROLLED",
        "standard": {
          "monthly_cost": "180.00",
          "employee_monthly_contribution": "130.00"
        },
        "current_cycle": {
          "monthly_cost": "200.00",
          "employee_monthly_contribution": "150.00"
        }
      }
    },
    {
      "id": "483922",
      "name": "Retirement Plan",
      "plan": {
        "name": "Standard Pension"
      },
      "provider": {
        "name": "Pension Trust"
      },
      "offer_status": "Not offered",
      "enrollment_details": {
        "plan": {
          "name": ""
        },
        "status": "AWAITING_ENROLLMENT",
        "standard": {},
        "current_cycle": {}
      }
    }
  ],
  "worker_benefits_link": {
    "url": "https://example.com/session/abc",
    "expires_at": "2026-10-16T10:42:00Z"
  }
}
```

**SDK Code**

```python Example of a successful response.
import requests

url = "https://api.letsdeel.com/rest/eor/mryv8dx/benefits"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example of a successful response.
const url = 'https://api.letsdeel.com/rest/eor/mryv8dx/benefits';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example of a successful response.
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/mryv8dx/benefits"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example of a successful response.
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/mryv8dx/benefits")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example of a successful response.
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/mryv8dx/benefits")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example of a successful response.
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/mryv8dx/benefits', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example of a successful response.
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/mryv8dx/benefits");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example of a successful response.
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/mryv8dx/benefits")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```